Bug 165481 - setting socket defalt timeout error causes uncaught SSL.WantReadErrror/SSL.WantWriteError
setting socket defalt timeout error causes uncaught SSL.WantReadErrror/SSL.Wa...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhnlib (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Beth Nackashi
:
Depends On:
Blocks: 156323 165360
  Show dependency treegraph
 
Reported: 2005-08-09 14:28 EDT by Adrian Likins
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-742
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 07:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2005-08-09 14:28:27 EDT
Description of problem:

see also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=144704

If you set a socket timeout (say, socket.setdefaulttimeout(5)) and
make the socket non-blocking, openssl will raise a WANT_READ_ERROR
that pyopenssl raises as an exception, but rhnlib never catches,
causing stuff to break. 


Version-Release number of selected component (if applicable):
rhnlib-1.8-6.p24.1

How reproducible:
always


Steps to Reproduce:
1. add a socket.setdefaulttimeout(1) to any app that uses pyopenssl/rhnlib
Comment 2 Mihai Ibanescu 2005-08-10 09:41:35 EDT
Should be fixed by rhnlib-1.8-6.p23.1
Comment 4 Beth Nackashi 2005-08-11 13:18:21 EDT
works fine now

[root@fmoquete-64 ~]# rpm -q up2date
up2date-4.4.39-4
[root@fmoquete-64 ~]# rpm -q redhat-release
redhat-release-4Desktop-2.4
[root@fmoquete-64 ~]# cat /etc/redhat-release
Red Hat Desktop release 4 (Nahant Update 1)
[root@fmoquete-64 ~]# rpm -q firstboot
firstboot-1.3.39-2
[root@fmoquete-64 ~]# rpm -q rhnlib
rhnlib-1.8.1-1.p23.1
Comment 5 Todd Warner 2005-09-23 16:33:37 EDT
PROD_READY-->RELEASE_PENDING
Comment 6 Red Hat Bugzilla 2005-10-05 07:20:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-742.html

Note You need to log in before you can comment on or make changes to this bug.